Bug 1122679 - storage nod with handshake error can be both deployed and undeployed from GUI
Summary: storage nod with handshake error can be both deployed and undeployed from GUI
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: JON 4.0.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1120418
TreeView+ depends on / blocked
 
Reported: 2014-07-23 18:32 UTC by Armine Hovsepyan
Modified: 2019-08-05 15:01 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 15:01:45 UTC
Type: Bug


Attachments (Terms of Use)
node_deploy_undeploy_button (178.75 KB, image/png)
2014-07-23 18:32 UTC, Armine Hovsepyan
no flags Details
server.log (898.98 KB, text/x-log)
2014-07-23 18:35 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-07-23 18:32:27 UTC
Created attachment 920332 [details]
node_deploy_undeploy_button

Description of problem:
storage nod with handshake error can be both deployed and undeployed from GUI

Version-Release number of selected component (if applicable):
JON 3.2.0 and later

How reproducible:
always

Steps to Reproduce:
1. Install rhq storage with agent and start it and configure to connect to server (no server yet installed)
2. Install rhq server with storage and agent and start it
3. As soon as server is installed and configured, install 2 storage nodes simultaneously and connect to server
4. Re-start storage node installed in step1

Actual results:
After step2. First storage node is down (failed bootstrap preparation)
After step3. 3 storage nodes are down
After step4. fist storage node starts and gets into the cluster 
Both Deploy and Undeploy buttons are active in GUI for nodes installed in step3

Expected results:
All 4 storage nodes are installed and are part of the cluster


Additional info:
server.log attached and GUI screen-shot attached

Comment 1 Armine Hovsepyan 2014-07-23 18:35:43 UTC
Created attachment 920333 [details]
server.log

Comment 2 John Sanda 2014-08-29 12:24:51 UTC
Bumping the target release due to time constraints. Work has been started though in the storage_workflow branch.

Comment 5 Filip Brychta 2019-08-05 15:01:45 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.